
function HUDShouldDraw( id )

	local nodraw = {

		"CHudHealth",
		"CHudAmmo",
		"CHudSecondaryAmmo",
		"CHudBattery",
		"CHudChat",
	
	}
	
	for k, v in pairs( nodraw ) do

		if( id == v ) then
		
			return false;
		
		end
	
	end
	
	return true;

end
hook.Add( "HUDShouldDraw", "GearHUDShouldDraw", HUDShouldDraw );

--Copy pasta modification
 function draw.DrawTextOutlined(text, font, x, y, colour, xalign, yalign, outlinewidth, outlinecolour) 
   
 	for _x=-1, 1 do 
 		for _y=-1, 1 do 
 			draw.DrawText(text, font, x + (_x*outlinewidth), y + (_y*outlinewidth), outlinecolour, xalign, yalign) 
 		end 
 	end 

 	draw.DrawText(text, font, x, y, colour, xalign, yalign) 
 	 
 end 


